{
	"schema": "https://iot.ikonke.com/schema.json",
	"productType": "switch",
	"profile": {
		"productCode": "1002",
		"productName": "铂金系列一路灯控"
	},
	"services": [{
		"outputData": [],
		"identifier": "set",
		"inputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}],
		"method": "thing.service.property.set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置"
	}, {
		"outputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}],
		"identifier": "get",
		"inputData": ["PowerSwitch"],
		"method": "thing.service.property.get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取"
	}],
	"properties": [{
		"identifier": "PowerSwitch",
		"dataType": {
			"specs": {
				"0": "关闭",
				"1": "打开"
			},
			"type": "bool"
		},
		"name": "电源开关",
		"accessMode": "rw",
		"required": true
	}],
	"events": [{
		"outputData": [{
			"identifier": "PowerSwitch",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "打开"
				},
				"type": "bool"
			},
			"name": "电源开关"
		}],
		"identifier": "property",
		"method": "thing.event.property.post",
		"name": "property",
		"type": "info",
		"required": true,
		"desc": "属性上报"
	}]
}